events.listen("recipes", function (e) {
  //piston

  e.shaped(item.of("minecraft:piston", 1), ["AAA", "BCB", "BDB"], {
    A: "immersiveengineering:treated_wood_horizontal",
    B: "minecraft:obsidian",
    C: "minecraft:iron_ingot",
    D: "minecraft:redstone_block",
  });

  //feu d'artifice
  e.shapeless("3x minecraft:firework_rocket", [
    "minecraft:gunpowder",
    "minecraft:paper",
  ]);

  //creation fluorite bloc

  e.shapeless("9x thermal:constantan_ingot", "thermal:constantan_block");

  //creation sulfur meka bloc
  e.shapeless("mekanism:dust_sulfur", "thermal:sulfur_dust"),
    e.shapeless("thermal:sulfur_dust", "mekanism:dust_sulfur"),
    e.shapeless("kubejs:sulfurblock", "9x mekanism:dust_sulfur");
  e.shapeless("9x mekanism:dust_sulfur", "kubejs:sulfurblock");
  e.shapeless("kubejs:restonia", "9x kubejs:restonia_ingot");
  e.shapeless("9x kubejs:restonia_ingot", "kubejs:restonia");
  e.shapeless("9x bigreactors:yellorium_ingot", "bigreactors:yellorium_block");

  e.shapeless("bigreactors:yellorium_ingot", "9x bigreactors:yellorium_nugget");
  e.shapeless("alltheores:uranium_block", "9x alltheores:uranium_ingot");
  e.shapeless("9x alltheores:uranium_nugget", "alltheores:uranium_ingot");
  e.shapeless(
    "4x cursed_realm_remastered:soul_dust",
    "cursed_realm_remastered:cursed_realm"
  );

  e.shapeless(
    "9x appliedenergistics2:charged_certus_quartz_crystal",
    "kubejs:charged_quartz_block"
  );
  e.shapeless(
    "9x industrialforegoing:pink_slime_ingot",
    "kubejs:pink_slime_block"
  );
  e.shapeless(
    "kubejs:pink_slime_block",
    "9x industrialforegoing:pink_slime_ingot"
  );
  e.shapeless(
    "kubejs:charged_quartz_block",
    "9x appliedenergistics2:charged_certus_quartz_crystal"
  );
  e.shapeless("kubejs:bloc_gemme_sang", "9x kubejs:red_gem");
  e.shapeless("9x kubejs:red_gem", "kubejs:bloc_gemme_sang");

  e.shapeless("9x minecraft:phantom_membrane", "kubejs:phantom_block");
  e.shapeless("kubejs:phantom_block", "9x minecraft:phantom_membrane");
  e.shapeless("9x appliedenergistics2:silicon", "kubejs:silicon_block");
  e.shapeless("kubejs:silicon_block", "9x appliedenergistics2:silicon");

  e.shapeless("9x immersiveengineering:ingot_hop_graphite", "kubejs:hop_block");
  e.shapeless("kubejs:hop_block", "9x immersiveengineering:ingot_hop_graphite");
  e.shapeless("9x minecraft:wheat_seeds", "kubejs:wheat_block");
  e.shapeless("kubejs:wheat_block", "9x minecraft:wheat_seeds");
  e.shapeless(
    "9x minecraft:prismarine_crystals",
    "kubejs:prismarine_crystal_block"
  );
  e.shapeless(
    "kubejs:prismarine_crystal_block",
    "9x minecraft:prismarine_crystals"
  );
  e.shapeless("kubejs:hdpe_stick_2", "mekanism:hdpe_stick");

  e.shapeless("mekanism:hdpe_stick", "kubejs:hdpe_stick_2");

  e.shapeless("9x industrialforegoing:plastic", "kubejs:plastic_block");
  e.shapeless("kubejs:plastic_block", "9x industrialforegoing:plastic");
});
